--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: add one or more directories to the list of directories to load botmodules from
- !ruby/struct:SM::Flow::P 
  body: TODO find a way to specify necessary plugins which <em>must</em> be loaded
full_name: Irc::Bot::Plugins::PluginManagerClass#add_botmodule_dir
is_singleton: false
name: add_botmodule_dir
params: (*dirlist)
visibility: public
